use strict;
use warnings;
use Test::More;

# $Id$

my $test_polls = [
# Structure:
#    {
#        poll => { var => $val }
#        voting => [ qw(mail) ],
#        ballot => {
#        # signing from voting list
#            signing => [ qw() ] # list of items
#        },
#    }
    {}
];

plan tests => 
    3                        # Fixed test 
    + scalar(@$test_polls) * # number of tested polls scenario
    1;                       # per poll number of tests

use_ok 'Vote', 'Vote';
use_ok 'Vote::DB';

$ENV{EPOLL_NO_COMMIT} = 1;

isa_ok(my $vote = Vote::DB->new(Vote->config->{db}), 'Vote::DB');

my $count = 0;
foreach my $tpoll (@$test_polls) {
    $count++;
    ok(my $pollid = $vote->create_poll('test@', "Vote test $count", "password"),
        "can create a new poll");

    $vote->rollback;
}
